{% extends 'base.html' %}

{% block main-content %}
<main>
    <h1>My Receipts</h1>
    <table>
        <thead>
            <tr>
                <th>Vendor</th>
                <th>Total</th>
                <th>Tax</th>
                <th>Date</th>
                <th>Category</th>
                <th>Account</th>
            </tr>
        </thead>

        <tbody>
            {% for recipt in receipt_list %}
            <tr>
                <td>{{ recipt.vendor }}</td>
                <td>{{ recipt.total }}</td>
                <td>{{ recipt.tax }}</td>
                <!-- <td>{{ recipt.date|date:"n/j/Y" }}</td> -->
                <td>{{ recipt.date|date:"m/d/y" }}</td>
                <td>{{ recipt.category.name }}</td>
                <td>{{ recipt.account.name }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</main>
{% endblock main-content %}

<!-- <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <main>
        <h1>My Receipts</h1>
        <table>
            <thead>
                <tr>
                    <th>Vendor</th>
                    <th>Total</th>
                    <th>Tax</th>
                    <th>Date</th>
                    <th>Category</th>
                    <th>Account</th>
                </tr>
            </thead>

            <tbody>
                {% for recipt in receipt_list %}
                <tr>
                    <td>{{ recipt.vendor }}</td>
                    <td>{{ recipt.total }}</td>
                    <td>{{ recipt.tax }}</td>
                    //<td>{{ recipt.date|date:"n/j/Y" }}</td>//
                    <td>{{ recipt.date|date:"m/d/y" }}</td>
                    <td>{{ recipt.category.name }}</td>
                    <td>{{ recipt.account.name }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>

</html> -->
